[pskmail] Re: Packages

  • From: Rein Couperus <rein@xxxxxxxxxxxx>
  • To: pskmail@xxxxxxxxxxxxx
  • Date: Sat, 03 May 2008 16:35:10 +0200

ok, lets sort this one out... maybe the install scripts don't yet do what I 
want...
Are you running client and server on the same machine? Before installing the 
server for the first time 
you should remove the .pskmail directory, as both server and client use it. It 
also helps if 
you copy the files into the .pskmail directory manually in that case (check 
what the ./install.sh script does..)
If the install script finds an existing .pskmail dir it will not copy the files 
into it (to prevent you from copying 
files over your config at upgrade time...).

Now for some quick tests:

Client:

Can you uncomment  arq.pm line 2570 ($logfile = 
"$ENV{HOME}/.pskmail/client.log";) in the 
archive and run ./install.sh  again?

Server:

Probably the server is missing pskmailrc.pl in ~/.pskmail, can you copy your 
version 
from ~/ to ~/.pskmail? If this is the case it will also miss the other files in 
.pskmail...
Best thing to do may be to delete .pskmail and rerun ./install.sh on the server.



Rein


> -----Ursprüngliche Nachricht-----
> Von: pskmail@xxxxxxxxxxxxx
> Gesendet: 03.05.08 15:38:58
> An: pskmail@xxxxxxxxxxxxx
> Betreff: [pskmail] Packages


> I would like to upgrade to the latest versions of client and server.  I
> am running Ubuntu Hardy.  For version 0.8.2 of the client I get the
> following messages on the terminal:
> ack@ack-desktop:~$ cd pskmail-0.8.2
> ack@ack-desktop:~/pskmail-0.8.2$ pskmail
> Cannot open logfile at /usr/local/share/pskmail/arq.pm line 2571.
> Compilation failed in require at /usr/local/share/pskmail/psk_arq.pl
> line 66.
> BEGIN failed--compilation aborted at /usr/local/share/pskmail/psk_arq.pl
> line 66
> 
> For the latest server version I get the following:
> ack@ack-desktop:~/pskmail_server-0.7.2$ sudo ./install.sh
> Install pskmail_server in /usr/local/share/pskmail_server for user 
> Copying start script to /usr/local/bin
> /usr/local/share/pskmail_server already exists
> Copying scripts to /usr/local/share/pskmail_server
> Pskmail is now ready for use
> ack@ack-desktop:~/pskmail_server-0.7.2$ pskmail_server
> 12:34 UTC May-3-2008: Program start
> Use of uninitialized value in print
> at /usr/local/share/pskmail_server/rflinkserver.pl line 63.
> 
> Use of uninitialized value in pattern match (m//)
> at /usr/local/share/pskmail_server/rflinkserver.pl line 64.
> 12:34 UTC May-3-2008: Wrong APRS beacon format. Please adjust
> pskmailrc.pl
> Latitude format is: ddmm.mm, padded with leading and trailing zeros
> e.g.: 4420.34 or 0400.11 or 0000.10
> 
> Longitude format is: dddmm.mm, padded with leading and trailing zeros
> e.g.: 14420.34 or 00400.11 or 00000.10
> 
> Please stop and restart
> Use of uninitialized value in concatenation (.) or string
> at /usr/local/share/pskmail_server/rflinkserver.pl line 143.
> 
> Rein thanks for putting these packages together.  Install packages will
> make PSKmail much more accessible to new Linux users like myself.
> 73 Alan KD4QCL 
>  
> 
> 
> 
> 
> 

-- 
http://pa0r.blogspirit.com

Other related posts: